Subject: Nssa lsa forwarding address

From: kishoreky <[email-masked]>
Date: Fri, 8 Oct 2004 14:19:41 +0530

Hi All,

RFC 3101 (NSSA) is a little bit confusing

&gt;From Section 2.3 Type7 LSA (Page Number 8) it states that

Normally the next hop address of an installed AS external route

learned by an NSSA ASBR from an adjacent AS points at one of the

adjacent AS's gateway routers. If this address belongs to a network

connected to the NSSA ASBR via one of its NSSAs' active interfaces,

then the NSSA ASBR copies this next hop address into the forwarding

address field of the route's Type-7 LSA that is originated into this

NSSA, as is currently done with Type-5 LSAs. (See [OSPF] Section

12.4.4.1.) For an NSSA with no such network the forwarding address

field may only be filled with an address from one of the its active

interfaces or 0.0.0.0. If the P-bit is set, the forwarding address

must be non-zero; otherwise it may be 0.0.0.0. If an NSSA requires

the P-bit be set and a non-zero forwarding address is unavailable,

then the route's Type-7 LSA is not originated into this NSSA.

When a router is forced to pick a forwarding address for a Type-7

LSA, preference should be given first to the router's internal

addresses (provided internal addressing is supported). If internal

addresses are not available, preference should be given to the

router's active OSPF stub network addresses. These choices avoid the

possible extra hop that may happen when a transit network's address

is used. When the interface whose IP address is the LSA's forwarding

address transitions to a Down state (see [OSPF] Section 9.3), the

router must select a new forwarding address for the LSA and then re-

originate it. If one is not available the LSA should be flushed.

Let us consider a situation that the NSSA ASBR (Not an ABR) gets the

redistributed route for generating type 7 LSA and It has no global IPv6

Address configured at any interface.

- Will it originate Type-7 LSA with P Bit clear and forwarding address set

as zero

- Will not originate any Type -7 LSA

First option seems to be better. Even if the NSSA ASBR originates a Type -7

LSA with P Bit Clear and zero forwarding address in the above situation, I

think it will not create any problem as Type 7 LSA with P Bit Clear will not

be translated to Type 5 LSA in Type 5 capable areas. So LSA for this static

route will be restricted in the NSSA area only.

Sorry for the lengthy mail.

With Regards,

TapabrataIndiatimes Email now powered by APIC Advantage. Help!
HelpClick on the image to chat with me

---

From: Acee Lindem <[email-masked]>
Date: Fri, 8 Oct 2004 09:06:46 -0400

Tapabrata - agree that the first option is better. 

  ----- Original Message ----- 
  From: kishoreky 
  To: [email-masked] 
  Sent: Friday, October 08, 2004 4:49 AM
  Subject: Nssa lsa forwarding address

  Hi All,

  >From Section 2.3 Type7 LSA (Page Number 8) it states that

  as zero

  With Regards,

------------------------------------------------------------------------------
  Indiatimes Email now powered by APIC Advantage. Help! 

  Help
  Click on the image to chat with me